<?php  
	//функция  news_for_public проверки публиковать ли новость вынесена в sg_cm_code.php
//	$codeOfPage=file_get_contents($phpself_array[count($phpself_array)-1]); 
	
	// переменная $news_layout =  1 -  используется старая верстка встроенная в скрипт ; 0 - используется вывод с помощью псевдо-тегов
	
	if (!isset($news_layout))  $news_layout = 1;
	$gs_nws = array();
	
	function echo_func($str=''){
		global $news_layout;
		if ( $news_layout == 0 ) return false;
		else echo $str;
	}
	
	
	if(!file_exists($catalog."/css.php"))exit("Не надо этот файл открывать!");
	$conf=file($catalog."/admin/conf/sett.txt");
	for($n=0;$n<count($conf);$n++)$conf[$n]=trim($conf[$n]);
	$size_img_cat=$conf[31];
	include($catalog."/admin/db/zagl");include($catalog."/dict.php"); 
	if (strpos($zagl,'новости')===false && strpos($zagl,'НОВОСТИ')===false && strpos($zagl,'Новости')===false) { 
		if (strpos($zagl,'статьи')!==false || strpos($zagl,'СТАТЬИ')!==false || strpos($zagl,'Статьи')!==false) include($catalog."/dict1.php"); 
		elseif (strpos($zagl,'публикации')!==false || strpos($zagl,'ПУБЛИКАЦИИ')!==false || strpos($zagl,'Публикации')!==false) include($catalog."/dict2.php"); 
		elseif (!is_file($catalog."/user_dict.php")) { if (copy($catalog."/dict2.php", $catalog."/user_dict.php")) include($catalog."/user_dict.php"); }
		else include($catalog."/user_dict.php");
	}
	if(!isset($over))include_once($catalog."/func.php");
	if(!isset($over))$over=true;
	//include_once("$catalog/css.php"); //убрано для переноса стиля в head материнской страницы
	$news1=array();
	$news=array();
	$d=opendir($catalog."/admin/db/news");
	while(($e=readdir($d))!=false)
	{
		if($e =="." || $e ==".." || $e==".htaccess") continue;
		$news1[]=$e;
	}
	closedir($d);
	
	foreach($news1 as $line)
	{
		$text=file("$catalog/admin/db/news/$line");
		$text[0]=trim($text[0]);
		$news[$text[0]]=$line;
	}
	if(!isset($conf[37])|| $conf[37]!=2) krsort($news,SORT_NUMERIC);
	else ksort($news,SORT_NUMERIC);
	$arr_month=array("января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
	$cat=array();
	$id_cat=array();
	$cat=file("$catalog/admin/db/cat.txt");
	
	foreach($cat as $line)
	{
		$line=trim($line);
		$expl=explode("*",$line);
		$id_cat[$expl[0]]=$expl[1];
	}
	echo_func ("<table class='border_blok tmce'> ");
	$i=0;
	foreach($news as $line)
	{ if (news_for_public($line)==0) continue;// проверка отображать ли статью
		if($i==$conf[33])break;
		$text=file("$catalog/admin/db/news/$line");
		$foto=array();
		$foto=file("$catalog/admin/db/id_foto/$line");
		for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
		$get_date=getdate($text[0]);
		//настройки даты
		$view_date=date("d",$text[0]);
		if($conf[7]==1) $view_date.=".".date("m",$text[0]);
		else $view_date.=".".$arr_month[$get_date['mon']-1];
		
		if($conf[6]==1) $view_date.=".".date("y",$text[0]);
		else $view_date.=".".date("Y",$text[0]);
		
		if($conf[8]==1) $view_date.=" ".date("H:i",$text[0]);
		if($conf[7]==2)$view_date=str_replace("."," ",$view_date);
		
		if($conf[34]!="" && isset($text[4]))
		{	
			
			//      $links1="<a href='$conf[34]?id=$line'>$text[2]</a>";
			//      $links2=	"<a href='$conf[34]?id=$line'>$text[3]</a>";
			$conf34 = str_ireplace(".html", "/", $conf[34]);
			$conf34 = str_ireplace(".php", "/", $conf34);
			
			$links1="<a href='$conf34".$line.".html'>$text[2]</a>";
			$links2=	"<a href='$conf34".$line.".html'>$text[3]</a>";
			$gs_nws['id_href'][$i+1] = $conf34.$line.".html"; 
		}
		else
		{
			$links1=$text[2];
			$links2=$text[3];
			$gs_nws['id_href'][$i+1] = "#";
		}
		$gs_nws['id'][$i+1] = $line ;
		$gs_nws['head'][$i+1] = $text[2];
		$gs_nws['resume'][$i+1] = $text[3];
		$gs_nws['L_head'][$i+1] = $links1;
		$gs_nws['L_resume'][$i+1] = $links2;
		$gs_nws['date'][$i+1] = $view_date;
		if ($conf[34]!="")
		$gs_nws['L_allNews'][$i+1] = $conf[34];
		else 
		$gs_nws['L_allNews'][$i+1] = "http://".$_SERVER['SERVER_NAME'];
		
		echo_func (" <tr>");
		if($conf[32]==1)
		{
			echo_func ("<td style=\"padding-top:6px;\" class=\"valtop w10 \">");
			if(count($foto)) {
				if ($news_layout == 1 )
				foto(trim($foto[0])); 
				$gs_nws['foto'][$i+1] = "<img src=".$catalog."./admin/foto/".$foto[0]."  class='foto_gs_nws'  alt='".$text[2]."'>";
			}
			else echo_func("&nbsp;");
			echo_func("</td>");
		}
		echo_func("<td class='valtop pdng'>   ");
		
		if($conf[5]==1 ) echo_func ("<div class=date_blok>$view_date</div>");
		if($conf[5]==3 ) echo_func ("<span class=date_blok>$view_date</span>&nbsp;");
		if($text[2]!="" && $conf[36]==1) echo_func ("<span class=head_blok>$links1</span><br />");
		if($conf[35]==1 )echo_func ("<span  class=resume_blok>$links2... </span> ");
		if($conf[5]==2 ) echo_func  ("<div  class='date_blok alr'>$view_date</div>");
		echo_func(" </td>  </tr> ");
		
		$i++;
	}
	if($conf[24]==1 && $conf[34]!="")
	{echo_func("<tr>");
		if($conf[32]==1)
		{ echo_func("<td> </td>");}
		echo_func("<td style=float:$conf[25]>
		<table class=link_blok><tr><td>");
		//	   $conf34=rtrim($conf[34], "/");
		
		foreach($id_cat as $k=>$v)
		{
			echo_func("<a href='$conf[34]?c=$k'>$v</a><br />");
			
			//	echo_func"<a href='".$conf34.".php?c=$k'>$v</a><br />";
		}
		if(count($news)) echo_func ("<a href='$conf[34]'> ".$dict['Все новости']."</a>");
		
		// if(count($news)) echo_func "<a href='".$conf34.".php'>Все новости</a>";
		
		echo_func ("</td></tr></table>
		</td></tr>");
	}
	echo_func("</table>");
	
	
?>
